Name:          minlog
Version:       1.3.0
Release:       %mkrel 3
Group:         Development/Java
Summary:       Minimal overhead Java logging
License:       BSD
URL:           https://github.com/EsotericSoftware/minlog
Source0:       https://github.com/EsotericSoftware/minlog/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
MinLog is a Java logging library. Key features:

° Zero overhead Logging statements below a given level
  can be automatically removed by javac at compile time.
  This means applications can have detailed trace and
  debug logging without having any impact on the finished product.

° Simple and efficient The API is concise and the code
  is very efficient at run-time.

° Extremely lightweight The entire project consists of a single
  Java file with ~100 non-comment lines of code.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
find -name "*.class" -delete
find -name "*.jar" -delete

%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-javadoc-plugin' ]/pom:executions"

sed -i 's/\r//' license.txt

%mvn_file :%{name} %{name}
%mvn_alias :%{name} "com.googlecode:%{name}" "com.esotericsoftware.%{name}:%{name}"
%mvn_package ":%{name}::tests:"

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 1.3.0-3.mga6
+ Revision: 977286
- First rebuild of the java stack
- sync package minlog with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-7.mga5
+ Revision: 740610
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat May 24 2014 dmorgan <dmorgan> 1.2-5.mga5
+ Revision: 625322
+ rebuild (emptylog)

* Fri Oct 18 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 507965
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 360105
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 1.2-1.mga2
+ Revision: 131867
- Clean spec file

  + gil <gil>
    - imported package minlog

